VPP performance check job 53/653/2
authorpmikus <pmikus@cisco.com>
Thu, 31 Mar 2016 09:37:14 +0000 (11:37 +0200)
committerpmikus <pmikus@cisco.com>
Thu, 31 Mar 2016 14:38:33 +0000 (16:38 +0200)
- vpp-csit-hw-perf job to check performance of proposed patch
- build, copy, install, start perf tests

Change-Id: I2ae4cee916532c4d57715e2bd739d3109ab7ccf6
Signed-off-by: pmikus <pmikus@cisco.com>
jjb/vpp/include-raw-vpp-verify-performance.sh [new file with mode: 0644]
jjb/vpp/vpp.yaml

diff --git a/jjb/vpp/include-raw-vpp-verify-performance.sh b/jjb/vpp/include-raw-vpp-verify-performance.sh
new file mode 100644 (file)
index 0000000..64b8b50
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/bash\r
+set -xeu -o pipefail\r
+\r
+# Clone csit and start tests\r
+git clone --depth 1 https://gerrit.fd.io/r/csit --branch csit-verified\r
+\r
+cp build-root/*.deb csit/\r
+cd csit\r
+# execute csit bootstrap script if it exists\r
+if [ ! -e bootstrap-verify-perf.sh ]\r
+then\r
+    echo 'ERROR: No bootstrap-verify-perf.sh found'\r
+    exit 1\r
+fi\r
+\r
+# make sure that bootstrap-verify-perf.sh is executable\r
+chmod +x bootstrap-verify-perf.sh\r
+# run the script\r
+./bootstrap-verify-perf.sh *.deb\r
+\r
+# vim: ts=4 ts=4 sts=4 et :\r
index 103c72d..cfd2b2b 100644 (file)
         - robot-report:
             output-path: 'csit'
 
+- job-template:
+    name: 'vpp-verify-performance'
+
+    project-type: freestyle
+    node: verify
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+        - ssh-agent-credentials:
+            users:
+                - '{ssh-credentials}'
+
+    triggers:
+        - gerrit-trigger-manually-triggered:
+            comment-trigger-value: 'verify-perf'
+            name: '{project}'
+            branch: '{branch}'
+
+    builders:
+        - shell:
+            !include-raw-escape include-raw-vpp-build.sh
+        - shell:
+            !include-raw-escape include-raw-vpp-verify-performance.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/report.html, csit/log.html, csit/output.xml'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit'